Subject: Re: apt-get (was Re: setup.exe: ... )
From: Robert Collins <[email-masked]>
To: Robert Citek <[email-masked]>
Cc: [email-masked]
Date: 06 Mar 2003 14:14:30 +1100

On Thu, 2003-03-06 at 11:24, Robert Citek wrote:
> Hello Robert,
> 
> At 07:16 AM 3/6/2003 +1100, Robert Collins wrote:
> >Not that I'm aware of. I really need to refresh the dpkg port in cygwin
> >at some point.
> >
> >I had foolishly hoped that porting it would encourage the debian folks
> >who had been so keen on getting apt etc going to contribute apt, debconf
> >etc.
> 
> What would need to be done to get apt-get ported?  Could you provide some
> pointers of where you think a good starting point for background reading is?

Well, the debian policy would be a good place. First though, you'd
probably want to port debconf, the debian configuration system, to get a
fully capable dpkg environment. Then, apt should be pretty trivial.

> >At least I can build debs for cygwin though.
> 
> Conceptually, how does that work?  Do you take a cygwinn tar.gz file and
> convert it to deb?  Then to install the cygwin .deb package you would use
> dpkg, correct?

Make -f debian/rules usually does it :}. And yes, to install such
packages I used dpkg.

Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.